[meta] Remove social FrameWorker
It has always been an aspirational goal to replace our Frameworker with a real worker - ideally a real shared worker.  We might as well start tracking what we depend on to make this happen.